<componentspec>
  <!-- CSTS protocol is intended for all new designs. -->
  <port name='in0' producer='false' protocol='complex_short_timed_sample-prot'
      optional='true'/>
  <port name='in1' producer='false' protocol='complex_short_timed_sample-prot'
      optional='true'/>
  <port name='out0' producer='true' protocol='complex_short_timed_sample-prot'
      optional='true'/>
  <port name='out1' producer='true' protocol='complex_short_timed_sample-prot'
      optional='true'/>
  <port name='out2' producer='true' protocol='complex_short_timed_sample-prot'
      optional='true'/>
  <port name='out3' producer='true' protocol='complex_short_timed_sample-prot'
      optional='true'/>
</componentspec>
